Summary: Cast screen
Name: doskast
License: GPL-3.0
Group: Graphical desktop/Other
Url: https://osmesh.ru
Version: 0.1
Release: 1
Source10: Makefile
Source11: doskast-server-watcher.desktop
Source12: doskast-server-watcher.sh
Source13: doskast-student.service
Source15: doskast-student-firewall.conf
Source16: doskast-trigger-connect.cgi
BuildArch: noarch
BuildRequires: make
BuildRequires: desktop-file-utils

%description
%SUMMARY

#--------------------------------------------------------------

%package board
Summary: Doskast for server (board)
Requires: xpra
Requires: httpd

%description board
%summary

%files board
/var/www/cgi-bin/doskast-trigger-connect.cgi
%{_bindir}/doskast-server-watcher
/etc/xdg/autostart/doskast-server-watcher.desktop

#--------------------------------------------------------------

%package student
Summary: Doskast for client (student)
Requires: xpra
Requires: curl

%description student
%summary

%files student
%{_unitdir}/doskast-student.service
%config(noreplace) %{_sysconfdir}/systemd/system/doskast-student.service.d/doskast-student-firewall.conf

%post student
%systemd_post doskast-student.socket doskast-student.service

%preun student
%systemd_preun doskast-student.socket doskast-student.service

#--------------------------------------------------------------

%prep
%build
%install
cp %sources .
desktop-file-validate *.desktop
%makeinstall_std
